Page cover
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fund Wallet

Funds a wallet on an existing network that you currently have running.

post

Funds a wallet on a network with 1-100 tokens. Can fund existing wallets, or an external wallet you want to connect to the network.

Path parameters
environmentIdstringRequired

Environment ID. (GET /environments to see the list of your Environments)

walletAddressstringRequired

Wallet public address. (GET /environments to see the list of your Environments with Wallet details)

Query parameters
networkstringRequired

Network where wallet needs to be funded (Example 'ethereum')

amountstringOptional

The amount of tokens 1-100 you want to fund the wallet with.

Responses
200

Success

No content

post/environments/{environmentId}/wallet/{{walletAddress}}?network={{network}}&amount={{amount}}
POST /v1/environments/{environmentId}/wallet/{{walletAddress}}?network={{network}}&amount={{amount}}?network=text HTTP/1.1
Host: api.nameless.io
Accept: */*

No content

curl --location --request POST 'https://api.nameless.io/v1/environments/{environmentId}/wallet/{walletAddrress}?network={network}&amount=10' \
--header 'x-api-key: <YOUR API KEY>'
{
    "data": "C0gIeAO42WYjXR93g7fw",
    "message": "Adding 10 Eth to Wallet 0x4559b1771b1d7C1846d91a91335273C3a28f9395.",
    "success": true
}

Last updated

Was this helpful?